// src/generated-admin/endpoints/NamespaceAdmin$.ts
import { CodeGenUtil, SdkCache, Validate } from "@accelbyte/sdk";

// src/generated-definitions/NamespaceInfo.ts
import { z } from "zod";
var NamespaceInfo = z.object({
  clientId: z.string().nullish(),
  createdAt: z.string().nullish(),
  displayName: z.string(),
  namespace: z.string(),
  parentNamespace: z.string().nullish(),
  status: z.enum(["ACTIVE", "DELETED", "INACTIVE"]).nullish(),
  updatedAt: z.string().nullish()
});

// src/generated-definitions/NamespaceInfoArray.ts
import { z as z2 } from "zod";
var NamespaceInfoArray = z2.array(NamespaceInfo);

// src/generated-definitions/NamespacePublisherInfo.ts
import { z as z3 } from "zod";
var NamespacePublisherInfo = z3.object({ publisher: z3.boolean().nullish(), publisherNamespace: z3.string().nullish() });

// src/generated-admin/endpoints/NamespaceAdmin$.ts
var NamespaceAdmin$ = class {
  constructor(axiosInstance, namespace, cache = false) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
  }
  getNamespaces(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces";
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate.responseType(() => resultPromise, NamespaceInfoArray, "NamespaceInfoArray");
    if (!this.cache) {
      return SdkCache.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil.hashCode(JSON.stringify({ params }));
    return SdkCache.withCache(cacheKey, res);
  }
  createNamespace(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces";
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return Validate.responseType(() => resultPromise, NamespaceInfo, "NamespaceInfo");
  }
  deleteNamespace_ByNamespace() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return Validate.responseType(() => resultPromise, NamespaceInfo, "NamespaceInfo");
  }
  getNamespace_ByNamespace(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate.responseType(() => resultPromise, NamespaceInfo, "NamespaceInfo");
    if (!this.cache) {
      return SdkCache.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil.hashCode(JSON.stringify({ params }));
    return SdkCache.withCache(cacheKey, res);
  }
  getGame(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/game".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate.responseType(() => resultPromise, NamespaceInfoArray, "NamespaceInfoArray");
    if (!this.cache) {
      return SdkCache.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil.hashCode(JSON.stringify({ params }));
    return SdkCache.withCache(cacheKey, res);
  }
  patchBasic(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/basic".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return Validate.responseType(() => resultPromise, NamespaceInfo, "NamespaceInfo");
  }
  patchStatus(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/status".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return Validate.responseType(() => resultPromise, NamespaceInfo, "NamespaceInfo");
  }
  getPublisher() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/publisher".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate.responseType(() => resultPromise, NamespacePublisherInfo, "NamespacePublisherInfo");
    if (!this.cache) {
      return SdkCache.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil.hashCode(JSON.stringify({ params }));
    return SdkCache.withCache(cacheKey, res);
  }
};

// src/generated-admin/NamespaceAdminApi.ts
import { ApiUtils, Network } from "@accelbyte/sdk";
function NamespaceAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils.mergedConfigs(sdkAssembly.config, args);
  async function getNamespaces(queryParams) {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, cache);
    const resp = await $.getNamespaces(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createNamespace(data) {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, cache);
    const resp = await $.createNamespace(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function deleteNamespace_ByNamespace() {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, cache);
    const resp = await $.deleteNamespace_ByNamespace();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getNamespace_ByNamespace(queryParams) {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, cache);
    const resp = await $.getNamespace_ByNamespace(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getGame(queryParams) {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, cache);
    const resp = await $.getGame(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchBasic(data) {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, cache);
    const resp = await $.patchBasic(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchStatus(data) {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, cache);
    const resp = await $.patchStatus(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getPublisher() {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, cache);
    const resp = await $.getPublisher();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getNamespaces,
    createNamespace,
    deleteNamespace_ByNamespace,
    getNamespace_ByNamespace,
    getGame,
    patchBasic,
    patchStatus,
    getPublisher
  };
}

// src/generated-admin/endpoints/UserActionAdmin$.ts
import { CodeGenUtil as CodeGenUtil2, SdkCache as SdkCache2, Validate as Validate2 } from "@accelbyte/sdk";
import { z as z9 } from "zod";

// src/generated-definitions/ADtoObjectForEqu8UserBanStatusArray.ts
import { z as z5 } from "zod";

// src/generated-definitions/ADtoObjectForEqu8UserBanStatus.ts
import { z as z4 } from "zod";
var ADtoObjectForEqu8UserBanStatus = z4.object({ expires: z4.string().nullish(), userId: z4.string().nullish() });

// src/generated-definitions/ADtoObjectForEqu8UserBanStatusArray.ts
var ADtoObjectForEqu8UserBanStatusArray = z5.array(ADtoObjectForEqu8UserBanStatus);

// src/generated-definitions/ADtoObjectForEqu8UserStatus.ts
import { z as z6 } from "zod";
var ADtoObjectForEqu8UserStatus = z6.object({
  actionComment: z6.string().nullish(),
  actionId: z6.number().int().nullish(),
  expires: z6.string().nullish(),
  userId: z6.string().nullish(),
  when: z6.string().nullish()
});

// src/generated-definitions/ActionArray.ts
import { z as z8 } from "zod";

// src/generated-definitions/Action.ts
import { z as z7 } from "zod";
var Action = z7.object({
  color: z7.string().nullish(),
  description: z7.string().nullish(),
  duration: z7.number().int().nullish(),
  icon: z7.string().nullish(),
  id: z7.number().int().nullish(),
  name: z7.string().nullish(),
  priority: z7.number().int().nullish()
});

// src/generated-definitions/ActionArray.ts
var ActionArray = z8.array(Action);

// src/generated-admin/endpoints/UserActionAdmin$.ts
var UserActionAdmin$ = class {
  constructor(axiosInstance, namespace, cache = false) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
  }
  getActions() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/actions".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate2.responseType(() => resultPromise, ActionArray, "ActionArray");
    if (!this.cache) {
      return SdkCache2.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil2.hashCode(JSON.stringify({ params }));
    return SdkCache2.withCache(cacheKey, res);
  }
  createActionBan(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/actions/ban".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return Validate2.responseType(() => resultPromise, z9.unknown(), "z.unknown()");
  }
  createActionUnban(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/actions/unban".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return Validate2.responseType(() => resultPromise, z9.unknown(), "z.unknown()");
  }
  getActionsBanned(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/actions/banned".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate2.responseType(() => resultPromise, ADtoObjectForEqu8UserBanStatusArray, "ADtoObjectForEqu8UserBanStatusArray");
    if (!this.cache) {
      return SdkCache2.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil2.hashCode(JSON.stringify({ params }));
    return SdkCache2.withCache(cacheKey, res);
  }
  createActionReport(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/actions/report".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return Validate2.responseType(() => resultPromise, z9.unknown(), "z.unknown()");
  }
  getActionsStatus(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/actions/status".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate2.responseType(() => resultPromise, ADtoObjectForEqu8UserStatus, "ADtoObjectForEqu8UserStatus");
    if (!this.cache) {
      return SdkCache2.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil2.hashCode(JSON.stringify({ params }));
    return SdkCache2.withCache(cacheKey, res);
  }
};

// src/generated-admin/UserActionAdminApi.ts
import { ApiUtils as ApiUtils2, Network as Network2 } from "@accelbyte/sdk";
function UserActionAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils2.mergedConfigs(sdkAssembly.config, args);
  async function getActions() {
    const $ = new UserActionAdmin$(Network2.create(requestConfig), namespace, cache);
    const resp = await $.getActions();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createActionBan(data) {
    const $ = new UserActionAdmin$(Network2.create(requestConfig), namespace, cache);
    const resp = await $.createActionBan(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createActionUnban(data) {
    const $ = new UserActionAdmin$(Network2.create(requestConfig), namespace, cache);
    const resp = await $.createActionUnban(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getActionsBanned(queryParams) {
    const $ = new UserActionAdmin$(Network2.create(requestConfig), namespace, cache);
    const resp = await $.getActionsBanned(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createActionReport(data) {
    const $ = new UserActionAdmin$(Network2.create(requestConfig), namespace, cache);
    const resp = await $.createActionReport(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getActionsStatus(queryParams) {
    const $ = new UserActionAdmin$(Network2.create(requestConfig), namespace, cache);
    const resp = await $.getActionsStatus(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getActions,
    createActionBan,
    createActionUnban,
    getActionsBanned,
    createActionReport,
    getActionsStatus
  };
}

// src/generated-admin/endpoints/ConfigAdmin$.ts
import { CodeGenUtil as CodeGenUtil3, SdkCache as SdkCache3, Validate as Validate3 } from "@accelbyte/sdk";
import { z as z11 } from "zod";

// src/generated-definitions/ConfigInfo.ts
import { z as z10 } from "zod";
var ConfigInfo = z10.object({
  createdAt: z10.string().nullish(),
  key: z10.string().nullish(),
  namespace: z10.string().nullish(),
  updatedAt: z10.string().nullish(),
  value: z10.string().nullish()
});

// src/generated-admin/endpoints/ConfigAdmin$.ts
var ConfigAdmin$ = class {
  constructor(axiosInstance, namespace, cache = false) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
  }
  createConfig(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/configs".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return Validate3.responseType(() => resultPromise, ConfigInfo, "ConfigInfo");
  }
  deleteConfig_ByConfigKey(configKey) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/configs/{configKey}".replace("{namespace}", this.namespace).replace("{configKey}", configKey);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return Validate3.responseType(() => resultPromise, z11.unknown(), "z.unknown()");
  }
  getConfig_ByConfigKey(configKey) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/configs/{configKey}".replace("{namespace}", this.namespace).replace("{configKey}", configKey);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate3.responseType(() => resultPromise, ConfigInfo, "ConfigInfo");
    if (!this.cache) {
      return SdkCache3.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil3.hashCode(JSON.stringify({ params }));
    return SdkCache3.withCache(cacheKey, res);
  }
  patchConfig_ByConfigKey(configKey, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/configs/{configKey}".replace("{namespace}", this.namespace).replace("{configKey}", configKey);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return Validate3.responseType(() => resultPromise, ConfigInfo, "ConfigInfo");
  }
  getPublisherConfig_ByConfigKey(configKey) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/publisher/configs/{configKey}".replace("{namespace}", this.namespace).replace("{configKey}", configKey);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate3.responseType(() => resultPromise, ConfigInfo, "ConfigInfo");
    if (!this.cache) {
      return SdkCache3.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil3.hashCode(JSON.stringify({ params }));
    return SdkCache3.withCache(cacheKey, res);
  }
};

// src/generated-admin/ConfigAdminApi.ts
import { ApiUtils as ApiUtils3, Network as Network3 } from "@accelbyte/sdk";
function ConfigAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils3.mergedConfigs(sdkAssembly.config, args);
  async function createConfig(data) {
    const $ = new ConfigAdmin$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.createConfig(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function deleteConfig_ByConfigKey(configKey) {
    const $ = new ConfigAdmin$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.deleteConfig_ByConfigKey(configKey);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getConfig_ByConfigKey(configKey) {
    const $ = new ConfigAdmin$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.getConfig_ByConfigKey(configKey);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchConfig_ByConfigKey(configKey, data) {
    const $ = new ConfigAdmin$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.patchConfig_ByConfigKey(configKey, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getPublisherConfig_ByConfigKey(configKey) {
    const $ = new ConfigAdmin$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.getPublisherConfig_ByConfigKey(configKey);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    createConfig,
    deleteConfig_ByConfigKey,
    getConfig_ByConfigKey,
    patchConfig_ByConfigKey,
    getPublisherConfig_ByConfigKey
  };
}

// src/generated-admin/endpoints/Equ8ConfigAdmin$.ts
import { CodeGenUtil as CodeGenUtil4, SdkCache as SdkCache4, Validate as Validate4 } from "@accelbyte/sdk";
import { z as z13 } from "zod";

// src/generated-definitions/Equ8Config.ts
import { z as z12 } from "zod";
var Equ8Config = z12.object({ apiKey: z12.string().nullish(), namespace: z12.string().nullish() });

// src/generated-admin/endpoints/Equ8ConfigAdmin$.ts
var Equ8ConfigAdmin$ = class {
  constructor(axiosInstance, namespace, cache = false) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
  }
  deleteEqu8Config() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/equ8/config".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return Validate4.responseType(() => resultPromise, z13.unknown(), "z.unknown()");
  }
  getEqu8Config() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/equ8/config".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate4.responseType(() => resultPromise, Equ8Config, "Equ8Config");
    if (!this.cache) {
      return SdkCache4.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil4.hashCode(JSON.stringify({ params }));
    return SdkCache4.withCache(cacheKey, res);
  }
  patchEqu8Config(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/equ8/config".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return Validate4.responseType(() => resultPromise, Equ8Config, "Equ8Config");
  }
};

// src/generated-admin/Equ8ConfigAdminApi.ts
import { ApiUtils as ApiUtils4, Network as Network4 } from "@accelbyte/sdk";
function Equ8ConfigAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils4.mergedConfigs(sdkAssembly.config, args);
  async function deleteEqu8Config() {
    const $ = new Equ8ConfigAdmin$(Network4.create(requestConfig), namespace, cache);
    const resp = await $.deleteEqu8Config();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getEqu8Config() {
    const $ = new Equ8ConfigAdmin$(Network4.create(requestConfig), namespace, cache);
    const resp = await $.getEqu8Config();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchEqu8Config(data) {
    const $ = new Equ8ConfigAdmin$(Network4.create(requestConfig), namespace, cache);
    const resp = await $.patchEqu8Config(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    deleteEqu8Config,
    getEqu8Config,
    patchEqu8Config
  };
}

// src/generated-admin/endpoints/MiscAdmin$.ts
import { CodeGenUtil as CodeGenUtil5, SdkCache as SdkCache5, Validate as Validate5 } from "@accelbyte/sdk";
import { z as z19 } from "zod";

// src/generated-definitions/AddCountryGroupResponse.ts
import { z as z15 } from "zod";

// src/generated-definitions/CountryObject.ts
import { z as z14 } from "zod";
var CountryObject = z14.object({ code: z14.string().nullish(), name: z14.string().nullish() });

// src/generated-definitions/AddCountryGroupResponse.ts
var AddCountryGroupResponse = z15.object({
  countries: z15.array(CountryObject).nullish(),
  countryGroupCode: z15.string().nullish(),
  countryGroupName: z15.string().nullish()
});

// src/generated-definitions/CountryGroupObject.ts
import { z as z16 } from "zod";
var CountryGroupObject = z16.object({
  countries: z16.array(CountryObject).nullish(),
  countryGroupCode: z16.string().nullish(),
  countryGroupName: z16.string().nullish()
});

// src/generated-definitions/RetrieveCountryGroupResponseArray.ts
import { z as z18 } from "zod";

// src/generated-definitions/RetrieveCountryGroupResponse.ts
import { z as z17 } from "zod";
var RetrieveCountryGroupResponse = z17.object({
  countries: z17.array(CountryObject).nullish(),
  countryGroupCode: z17.string().nullish(),
  countryGroupName: z17.string().nullish()
});

// src/generated-definitions/RetrieveCountryGroupResponseArray.ts
var RetrieveCountryGroupResponseArray = z18.array(RetrieveCountryGroupResponse);

// src/generated-admin/endpoints/MiscAdmin$.ts
var MiscAdmin$ = class {
  constructor(axiosInstance, namespace, cache = false) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
  }
  getMiscLanguages() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/languages".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate5.responseType(() => resultPromise, z19.unknown(), "z.unknown()");
    if (!this.cache) {
      return SdkCache5.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil5.hashCode(JSON.stringify({ params }));
    return SdkCache5.withCache(cacheKey, res);
  }
  getMiscTimezones() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/timezones".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate5.responseType(() => resultPromise, z19.unknown(), "z.unknown()");
    if (!this.cache) {
      return SdkCache5.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil5.hashCode(JSON.stringify({ params }));
    return SdkCache5.withCache(cacheKey, res);
  }
  getMiscCountrygroups(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/countrygroups".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate5.responseType(() => resultPromise, RetrieveCountryGroupResponseArray, "RetrieveCountryGroupResponseArray");
    if (!this.cache) {
      return SdkCache5.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil5.hashCode(JSON.stringify({ params }));
    return SdkCache5.withCache(cacheKey, res);
  }
  createMiscCountrygroup(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/countrygroups".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return Validate5.responseType(() => resultPromise, AddCountryGroupResponse, "AddCountryGroupResponse");
  }
  deleteMiscCountrygroup_ByCountryGroupCode(countryGroupCode) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/countrygroups/{countryGroupCode}".replace("{namespace}", this.namespace).replace("{countryGroupCode}", countryGroupCode);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return Validate5.responseType(() => resultPromise, z19.unknown(), "z.unknown()");
  }
  updateMiscCountrygroup_ByCountryGroupCode(countryGroupCode, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/countrygroups/{countryGroupCode}".replace("{namespace}", this.namespace).replace("{countryGroupCode}", countryGroupCode);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return Validate5.responseType(() => resultPromise, CountryGroupObject, "CountryGroupObject");
  }
};

// src/generated-admin/MiscAdminApi.ts
import { ApiUtils as ApiUtils5, Network as Network5 } from "@accelbyte/sdk";
function MiscAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils5.mergedConfigs(sdkAssembly.config, args);
  async function getMiscLanguages() {
    const $ = new MiscAdmin$(Network5.create(requestConfig), namespace, cache);
    const resp = await $.getMiscLanguages();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscTimezones() {
    const $ = new MiscAdmin$(Network5.create(requestConfig), namespace, cache);
    const resp = await $.getMiscTimezones();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscCountrygroups(queryParams) {
    const $ = new MiscAdmin$(Network5.create(requestConfig), namespace, cache);
    const resp = await $.getMiscCountrygroups(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createMiscCountrygroup(data) {
    const $ = new MiscAdmin$(Network5.create(requestConfig), namespace, cache);
    const resp = await $.createMiscCountrygroup(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function deleteMiscCountrygroup_ByCountryGroupCode(countryGroupCode) {
    const $ = new MiscAdmin$(Network5.create(requestConfig), namespace, cache);
    const resp = await $.deleteMiscCountrygroup_ByCountryGroupCode(countryGroupCode);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateMiscCountrygroup_ByCountryGroupCode(countryGroupCode, data) {
    const $ = new MiscAdmin$(Network5.create(requestConfig), namespace, cache);
    const resp = await $.updateMiscCountrygroup_ByCountryGroupCode(countryGroupCode, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getMiscLanguages,
    getMiscTimezones,
    getMiscCountrygroups,
    createMiscCountrygroup,
    deleteMiscCountrygroup_ByCountryGroupCode,
    updateMiscCountrygroup_ByCountryGroupCode
  };
}

// src/generated-admin/endpoints/UserProfileAdmin$.ts
import { CodeGenUtil as CodeGenUtil6, SdkCache as SdkCache6, Validate as Validate6 } from "@accelbyte/sdk";
import { z as z24 } from "zod";

// src/generated-definitions/UserProfileInfo.ts
import { z as z20 } from "zod";
var UserProfileInfo = z20.object({
  avatarLargeUrl: z20.string().nullish(),
  avatarSmallUrl: z20.string().nullish(),
  avatarUrl: z20.string().nullish(),
  customAttributes: z20.record(z20.any()).nullish(),
  dateOfBirth: z20.string().nullish(),
  firstName: z20.string().nullish(),
  language: z20.string().nullish(),
  lastName: z20.string().nullish(),
  namespace: z20.string().nullish(),
  publicId: z20.string().nullish(),
  status: z20.enum(["ACTIVE", "INACTIVE"]).nullish(),
  timeZone: z20.string().nullish(),
  userId: z20.string().nullish(),
  zipCode: z20.string().nullish()
});

// src/generated-definitions/UserProfilePrivateInfo.ts
import { z as z21 } from "zod";
var UserProfilePrivateInfo = z21.object({
  avatarLargeUrl: z21.string().nullish(),
  avatarSmallUrl: z21.string().nullish(),
  avatarUrl: z21.string().nullish(),
  customAttributes: z21.record(z21.any()).nullish(),
  dateOfBirth: z21.string().nullish(),
  firstName: z21.string().nullish(),
  language: z21.string().nullish(),
  lastName: z21.string().nullish(),
  namespace: z21.string().nullish(),
  privateCustomAttributes: z21.record(z21.any()).nullish(),
  publicId: z21.string().nullish(),
  status: z21.enum(["ACTIVE", "INACTIVE"]).nullish(),
  timeZone: z21.string().nullish(),
  userId: z21.string().nullish(),
  zipCode: z21.string().nullish()
});

// src/generated-definitions/UserProfilePublicInfoArray.ts
import { z as z23 } from "zod";

// src/generated-definitions/UserProfilePublicInfo.ts
import { z as z22 } from "zod";
var UserProfilePublicInfo = z22.object({
  avatarLargeUrl: z22.string().nullish(),
  avatarSmallUrl: z22.string().nullish(),
  avatarUrl: z22.string().nullish(),
  customAttributes: z22.record(z22.any()).nullish(),
  namespace: z22.string().nullish(),
  publicId: z22.string().nullish(),
  timeZone: z22.string().nullish(),
  userId: z22.string().nullish()
});

// src/generated-definitions/UserProfilePublicInfoArray.ts
var UserProfilePublicInfoArray = z23.array(UserProfilePublicInfo);

// src/generated-admin/endpoints/UserProfileAdmin$.ts
var UserProfileAdmin$ = class {
  constructor(axiosInstance, namespace, cache = false) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
  }
  createProfilePublic(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/profiles/public".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return Validate6.responseType(() => resultPromise, UserProfilePublicInfoArray, "UserProfilePublicInfoArray");
  }
  getProfilesByPublicId(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/profiles/byPublicId".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate6.responseType(() => resultPromise, UserProfileInfo, "UserProfileInfo");
    if (!this.cache) {
      return SdkCache6.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil6.hashCode(JSON.stringify({ params }));
    return SdkCache6.withCache(cacheKey, res);
  }
  deleteProfile_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return Validate6.responseType(() => resultPromise, UserProfilePrivateInfo, "UserProfilePrivateInfo");
  }
  getProfiles_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate6.responseType(() => resultPromise, UserProfilePrivateInfo, "UserProfilePrivateInfo");
    if (!this.cache) {
      return SdkCache6.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil6.hashCode(JSON.stringify({ params }));
    return SdkCache6.withCache(cacheKey, res);
  }
  updateProfile_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return Validate6.responseType(() => resultPromise, UserProfilePrivateInfo, "UserProfilePrivateInfo");
  }
  patchProfileStatus_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles/status".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return Validate6.responseType(() => resultPromise, UserProfilePrivateInfo, "UserProfilePrivateInfo");
  }
  getProfilesCustomAttributes_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles/customAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate6.responseType(() => resultPromise, z24.unknown(), "z.unknown()");
    if (!this.cache) {
      return SdkCache6.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil6.hashCode(JSON.stringify({ params }));
    return SdkCache6.withCache(cacheKey, res);
  }
  updateProfileCustomAttribute_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles/customAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return Validate6.responseType(() => resultPromise, z24.unknown(), "z.unknown()");
  }
  getProfilesPrivateCustomAttributes_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles/privateCustomAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate6.responseType(() => resultPromise, z24.unknown(), "z.unknown()");
    if (!this.cache) {
      return SdkCache6.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil6.hashCode(JSON.stringify({ params }));
    return SdkCache6.withCache(cacheKey, res);
  }
  updateProfilePrivateCustomAttribute_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles/privateCustomAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return Validate6.responseType(() => resultPromise, z24.unknown(), "z.unknown()");
  }
};

// src/generated-admin/UserProfileAdminApi.ts
import { ApiUtils as ApiUtils6, Network as Network6 } from "@accelbyte/sdk";
function UserProfileAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils6.mergedConfigs(sdkAssembly.config, args);
  async function createProfilePublic(data) {
    const $ = new UserProfileAdmin$(Network6.create(requestConfig), namespace, cache);
    const resp = await $.createProfilePublic(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesByPublicId(queryParams) {
    const $ = new UserProfileAdmin$(Network6.create(requestConfig), namespace, cache);
    const resp = await $.getProfilesByPublicId(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function deleteProfile_ByUserId(userId) {
    const $ = new UserProfileAdmin$(Network6.create(requestConfig), namespace, cache);
    const resp = await $.deleteProfile_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfiles_ByUserId(userId) {
    const $ = new UserProfileAdmin$(Network6.create(requestConfig), namespace, cache);
    const resp = await $.getProfiles_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfile_ByUserId(userId, data) {
    const $ = new UserProfileAdmin$(Network6.create(requestConfig), namespace, cache);
    const resp = await $.updateProfile_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchProfileStatus_ByUserId(userId, data) {
    const $ = new UserProfileAdmin$(Network6.create(requestConfig), namespace, cache);
    const resp = await $.patchProfileStatus_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesCustomAttributes_ByUserId(userId) {
    const $ = new UserProfileAdmin$(Network6.create(requestConfig), namespace, cache);
    const resp = await $.getProfilesCustomAttributes_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfileCustomAttribute_ByUserId(userId, data) {
    const $ = new UserProfileAdmin$(Network6.create(requestConfig), namespace, cache);
    const resp = await $.updateProfileCustomAttribute_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesPrivateCustomAttributes_ByUserId(userId) {
    const $ = new UserProfileAdmin$(Network6.create(requestConfig), namespace, cache);
    const resp = await $.getProfilesPrivateCustomAttributes_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfilePrivateCustomAttribute_ByUserId(userId, data) {
    const $ = new UserProfileAdmin$(Network6.create(requestConfig), namespace, cache);
    const resp = await $.updateProfilePrivateCustomAttribute_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    createProfilePublic,
    getProfilesByPublicId,
    deleteProfile_ByUserId,
    getProfiles_ByUserId,
    updateProfile_ByUserId,
    patchProfileStatus_ByUserId,
    getProfilesCustomAttributes_ByUserId,
    updateProfileCustomAttribute_ByUserId,
    getProfilesPrivateCustomAttributes_ByUserId,
    updateProfilePrivateCustomAttribute_ByUserId
  };
}

// src/generated-admin/endpoints/FileUploadAdmin$.ts
import { Validate as Validate7 } from "@accelbyte/sdk";

// src/generated-definitions/FileUploadUrlInfo.ts
import { z as z25 } from "zod";
var FileUploadUrlInfo = z25.object({
  accessUrl: z25.string().nullish(),
  contentType: z25.string().nullish(),
  method: z25.string().nullish(),
  url: z25.string().nullish()
});

// src/generated-admin/endpoints/FileUploadAdmin$.ts
var FileUploadAdmin$ = class {
  constructor(axiosInstance, namespace, cache = false) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
  }
  createFile_ByUserId(userId, queryParams) {
    const params = { category: "default", ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/files".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.post(url, null, { params });
    return Validate7.responseType(() => resultPromise, FileUploadUrlInfo, "FileUploadUrlInfo");
  }
  createFile_ByFolder(folder, queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/folders/{folder}/files".replace("{namespace}", this.namespace).replace("{folder}", folder);
    const resultPromise = this.axiosInstance.post(url, null, { params });
    return Validate7.responseType(() => resultPromise, FileUploadUrlInfo, "FileUploadUrlInfo");
  }
};

// src/generated-admin/FileUploadAdminApi.ts
import { ApiUtils as ApiUtils7, Network as Network7 } from "@accelbyte/sdk";
function FileUploadAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils7.mergedConfigs(sdkAssembly.config, args);
  async function createFile_ByUserId(userId, queryParams) {
    const $ = new FileUploadAdmin$(Network7.create(requestConfig), namespace, cache);
    const resp = await $.createFile_ByUserId(userId, queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createFile_ByFolder(folder, queryParams) {
    const $ = new FileUploadAdmin$(Network7.create(requestConfig), namespace, cache);
    const resp = await $.createFile_ByFolder(folder, queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    createFile_ByUserId,
    createFile_ByFolder
  };
}

// src/generated-admin/endpoints/AnonymizationAdmin$.ts
import { Validate as Validate8 } from "@accelbyte/sdk";
import { z as z26 } from "zod";
var AnonymizationAdmin$ = class {
  constructor(axiosInstance, namespace, cache = false) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
  }
  deleteAnonymizationProfile_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/anonymization/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return Validate8.responseType(() => resultPromise, z26.unknown(), "z.unknown()");
  }
};

// src/generated-admin/AnonymizationAdminApi.ts
import { ApiUtils as ApiUtils8, Network as Network8 } from "@accelbyte/sdk";
function AnonymizationAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils8.mergedConfigs(sdkAssembly.config, args);
  async function deleteAnonymizationProfile_ByUserId(userId) {
    const $ = new AnonymizationAdmin$(Network8.create(requestConfig), namespace, cache);
    const resp = await $.deleteAnonymizationProfile_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    deleteAnonymizationProfile_ByUserId
  };
}

// src/generated-public/MiscApi.ts
import { ApiUtils as ApiUtils9, Network as Network9 } from "@accelbyte/sdk";

// src/generated-public/endpoints/Misc$.ts
import { CodeGenUtil as CodeGenUtil7, SdkCache as SdkCache7, Validate as Validate9 } from "@accelbyte/sdk";
import { z as z28 } from "zod";

// src/generated-definitions/RetrieveTimeResponse.ts
import { z as z27 } from "zod";
var RetrieveTimeResponse = z27.object({ currentTime: z27.string().nullish() });

// src/generated-public/endpoints/Misc$.ts
var Misc$ = class {
  constructor(axiosInstance, namespace, cache = false) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
  }
  getMiscTime() {
    const params = {};
    const url = "/basic/v1/public/misc/time";
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate9.responseType(() => resultPromise, RetrieveTimeResponse, "RetrieveTimeResponse");
    if (!this.cache) {
      return SdkCache7.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil7.hashCode(JSON.stringify({ params }));
    return SdkCache7.withCache(cacheKey, res);
  }
  getMiscLanguages() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/misc/languages".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate9.responseType(() => resultPromise, z28.unknown(), "z.unknown()");
    if (!this.cache) {
      return SdkCache7.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil7.hashCode(JSON.stringify({ params }));
    return SdkCache7.withCache(cacheKey, res);
  }
  getMiscTimezones() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/misc/timezones".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate9.responseType(() => resultPromise, z28.unknown(), "z.unknown()");
    if (!this.cache) {
      return SdkCache7.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil7.hashCode(JSON.stringify({ params }));
    return SdkCache7.withCache(cacheKey, res);
  }
};

// src/generated-public/MiscApi.ts
function MiscApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils9.mergedConfigs(sdkAssembly.config, args);
  async function getMiscTime() {
    const $ = new Misc$(Network9.create(requestConfig), namespace, cache);
    const resp = await $.getMiscTime();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscLanguages() {
    const $ = new Misc$(Network9.create(requestConfig), namespace, cache);
    const resp = await $.getMiscLanguages();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscTimezones() {
    const $ = new Misc$(Network9.create(requestConfig), namespace, cache);
    const resp = await $.getMiscTimezones();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getMiscTime,
    getMiscLanguages,
    getMiscTimezones
  };
}

// src/generated-public/NamespaceApi.ts
import { ApiUtils as ApiUtils10, Network as Network10 } from "@accelbyte/sdk";

// src/generated-public/endpoints/Namespace$.ts
import { CodeGenUtil as CodeGenUtil8, SdkCache as SdkCache8, Validate as Validate10 } from "@accelbyte/sdk";
var Namespace$ = class {
  constructor(axiosInstance, namespace, cache = false) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
  }
  getNamespaces(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/public/namespaces";
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate10.responseType(() => resultPromise, NamespaceInfoArray, "NamespaceInfoArray");
    if (!this.cache) {
      return SdkCache8.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil8.hashCode(JSON.stringify({ params }));
    return SdkCache8.withCache(cacheKey, res);
  }
  getPublisher() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/publisher".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate10.responseType(() => resultPromise, NamespacePublisherInfo, "NamespacePublisherInfo");
    if (!this.cache) {
      return SdkCache8.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil8.hashCode(JSON.stringify({ params }));
    return SdkCache8.withCache(cacheKey, res);
  }
};

// src/generated-public/NamespaceApi.ts
function NamespaceApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils10.mergedConfigs(sdkAssembly.config, args);
  async function getNamespaces(queryParams) {
    const $ = new Namespace$(Network10.create(requestConfig), namespace, cache);
    const resp = await $.getNamespaces(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getPublisher() {
    const $ = new Namespace$(Network10.create(requestConfig), namespace, cache);
    const resp = await $.getPublisher();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getNamespaces,
    getPublisher
  };
}

// src/generated-public/UserProfileApi.ts
import { ApiUtils as ApiUtils11, Network as Network11 } from "@accelbyte/sdk";

// src/generated-public/endpoints/UserProfile$.ts
import { CodeGenUtil as CodeGenUtil9, SdkCache as SdkCache9, Validate as Validate11 } from "@accelbyte/sdk";
import { z as z30 } from "zod";

// src/generated-definitions/UserZipCode.ts
import { z as z29 } from "zod";
var UserZipCode = z29.object({ zipCode: z29.string().nullish() });

// src/generated-public/endpoints/UserProfile$.ts
var UserProfile$ = class {
  constructor(axiosInstance, namespace, cache = false) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
  }
  getProfilesPublic(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/profiles/public".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate11.responseType(() => resultPromise, UserProfilePublicInfoArray, "UserProfilePublicInfoArray");
    if (!this.cache) {
      return SdkCache9.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil9.hashCode(JSON.stringify({ params }));
    return SdkCache9.withCache(cacheKey, res);
  }
  getUsersMeProfiles() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate11.responseType(() => resultPromise, UserProfilePrivateInfo, "UserProfilePrivateInfo");
    if (!this.cache) {
      return SdkCache9.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil9.hashCode(JSON.stringify({ params }));
    return SdkCache9.withCache(cacheKey, res);
  }
  createUserMeProfile(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return Validate11.responseType(() => resultPromise, UserProfilePrivateInfo, "UserProfilePrivateInfo");
  }
  updateUserMeProfile(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return Validate11.responseType(() => resultPromise, UserProfilePrivateInfo, "UserProfilePrivateInfo");
  }
  getProfiles_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate11.responseType(() => resultPromise, UserProfileInfo, "UserProfileInfo");
    if (!this.cache) {
      return SdkCache9.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil9.hashCode(JSON.stringify({ params }));
    return SdkCache9.withCache(cacheKey, res);
  }
  createProfile_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return Validate11.responseType(() => resultPromise, UserProfileInfo, "UserProfileInfo");
  }
  updateProfile_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return Validate11.responseType(() => resultPromise, UserProfileInfo, "UserProfileInfo");
  }
  getUsersMeProfilesZipCode() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles/zipCode".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate11.responseType(() => resultPromise, UserZipCode, "UserZipCode");
    if (!this.cache) {
      return SdkCache9.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil9.hashCode(JSON.stringify({ params }));
    return SdkCache9.withCache(cacheKey, res);
  }
  patchUserMeProfileZipCode(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles/zipCode".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return Validate11.responseType(() => resultPromise, UserZipCode, "UserZipCode");
  }
  getProfilesPublicByPublicId(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/profiles/public/byPublicId".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate11.responseType(() => resultPromise, UserProfilePublicInfo, "UserProfilePublicInfo");
    if (!this.cache) {
      return SdkCache9.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil9.hashCode(JSON.stringify({ params }));
    return SdkCache9.withCache(cacheKey, res);
  }
  getProfilesPublic_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles/public".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate11.responseType(() => resultPromise, UserProfilePublicInfo, "UserProfilePublicInfo");
    if (!this.cache) {
      return SdkCache9.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil9.hashCode(JSON.stringify({ params }));
    return SdkCache9.withCache(cacheKey, res);
  }
  patchProfileStatus_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles/status".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return Validate11.responseType(() => resultPromise, UserProfileInfo, "UserProfileInfo");
  }
  getProfilesCustomAttributes_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles/customAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate11.responseType(() => resultPromise, z30.unknown(), "z.unknown()");
    if (!this.cache) {
      return SdkCache9.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil9.hashCode(JSON.stringify({ params }));
    return SdkCache9.withCache(cacheKey, res);
  }
  updateProfileCustomAttribute_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles/customAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return Validate11.responseType(() => resultPromise, z30.unknown(), "z.unknown()");
  }
  getUsersMeProfilesPrivateCustomAttributes() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles/privateCustomAttributes".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate11.responseType(() => resultPromise, z30.unknown(), "z.unknown()");
    if (!this.cache) {
      return SdkCache9.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil9.hashCode(JSON.stringify({ params }));
    return SdkCache9.withCache(cacheKey, res);
  }
  updateUserMeProfilePrivateCustomAttribute(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles/privateCustomAttributes".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return Validate11.responseType(() => resultPromise, z30.unknown(), "z.unknown()");
  }
};

// src/generated-public/UserProfileApi.ts
function UserProfileApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils11.mergedConfigs(sdkAssembly.config, args);
  async function getProfilesPublic(queryParams) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache);
    const resp = await $.getProfilesPublic(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getUsersMeProfiles() {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache);
    const resp = await $.getUsersMeProfiles();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createUserMeProfile(data) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache);
    const resp = await $.createUserMeProfile(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateUserMeProfile(data) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache);
    const resp = await $.updateUserMeProfile(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfiles_ByUserId(userId) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache);
    const resp = await $.getProfiles_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createProfile_ByUserId(userId, data) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache);
    const resp = await $.createProfile_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfile_ByUserId(userId, data) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache);
    const resp = await $.updateProfile_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getUsersMeProfilesZipCode() {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache);
    const resp = await $.getUsersMeProfilesZipCode();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchUserMeProfileZipCode(data) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache);
    const resp = await $.patchUserMeProfileZipCode(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesPublicByPublicId(queryParams) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache);
    const resp = await $.getProfilesPublicByPublicId(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesPublic_ByUserId(userId) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache);
    const resp = await $.getProfilesPublic_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchProfileStatus_ByUserId(userId, data) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache);
    const resp = await $.patchProfileStatus_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesCustomAttributes_ByUserId(userId) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache);
    const resp = await $.getProfilesCustomAttributes_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfileCustomAttribute_ByUserId(userId, data) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache);
    const resp = await $.updateProfileCustomAttribute_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getUsersMeProfilesPrivateCustomAttributes() {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache);
    const resp = await $.getUsersMeProfilesPrivateCustomAttributes();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateUserMeProfilePrivateCustomAttribute(data) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache);
    const resp = await $.updateUserMeProfilePrivateCustomAttribute(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getProfilesPublic,
    getUsersMeProfiles,
    createUserMeProfile,
    updateUserMeProfile,
    getProfiles_ByUserId,
    createProfile_ByUserId,
    updateProfile_ByUserId,
    getUsersMeProfilesZipCode,
    patchUserMeProfileZipCode,
    getProfilesPublicByPublicId,
    getProfilesPublic_ByUserId,
    patchProfileStatus_ByUserId,
    getProfilesCustomAttributes_ByUserId,
    updateProfileCustomAttribute_ByUserId,
    getUsersMeProfilesPrivateCustomAttributes,
    updateUserMeProfilePrivateCustomAttribute
  };
}

// src/generated-public/FileUploadApi.ts
import { ApiUtils as ApiUtils12, Network as Network12 } from "@accelbyte/sdk";

// src/generated-public/endpoints/FileUpload$.ts
import { Validate as Validate12 } from "@accelbyte/sdk";
var FileUpload$ = class {
  constructor(axiosInstance, namespace, cache = false) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
  }
  createFile_ByUserId(userId, queryParams) {
    const params = { category: "default", ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/files".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.post(url, null, { params });
    return Validate12.responseType(() => resultPromise, FileUploadUrlInfo, "FileUploadUrlInfo");
  }
  createFile_ByFolder(folder, queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/folders/{folder}/files".replace("{namespace}", this.namespace).replace("{folder}", folder);
    const resultPromise = this.axiosInstance.post(url, null, { params });
    return Validate12.responseType(() => resultPromise, FileUploadUrlInfo, "FileUploadUrlInfo");
  }
};

// src/generated-public/FileUploadApi.ts
function FileUploadApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils12.mergedConfigs(sdkAssembly.config, args);
  async function createFile_ByUserId(userId, queryParams) {
    const $ = new FileUpload$(Network12.create(requestConfig), namespace, cache);
    const resp = await $.createFile_ByUserId(userId, queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createFile_ByFolder(folder, queryParams) {
    const $ = new FileUpload$(Network12.create(requestConfig), namespace, cache);
    const resp = await $.createFile_ByFolder(folder, queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    createFile_ByUserId,
    createFile_ByFolder
  };
}

// src/generated-public/UserActionApi.ts
import { ApiUtils as ApiUtils13, Network as Network13 } from "@accelbyte/sdk";

// src/generated-public/endpoints/UserAction$.ts
import { Validate as Validate13 } from "@accelbyte/sdk";
import { z as z31 } from "zod";
var UserAction$ = class {
  constructor(axiosInstance, namespace, cache = false) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
  }
  createActionReport_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/actions/report".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return Validate13.responseType(() => resultPromise, z31.unknown(), "z.unknown()");
  }
};

// src/generated-public/UserActionApi.ts
function UserActionApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils13.mergedConfigs(sdkAssembly.config, args);
  async function createActionReport_ByUserId(userId, data) {
    const $ = new UserAction$(Network13.create(requestConfig), namespace, cache);
    const resp = await $.createActionReport_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    createActionReport_ByUserId
  };
}

// src/Basic.ts
var apis = {
  NamespaceAdminApi,
  UserActionAdminApi,
  ConfigAdminApi,
  Equ8ConfigAdminApi,
  MiscAdminApi,
  UserProfileAdminApi,
  FileUploadAdminApi,
  AnonymizationAdminApi,
  MiscApi,
  NamespaceApi,
  UserProfileApi,
  FileUploadApi,
  UserActionApi
};
var Basic = apis;

// src/generated-definitions/ADtoForUnbanUserApiCall.ts
import { z as z32 } from "zod";
var ADtoForUnbanUserApiCall = z32.object({ comment: z32.string().nullish(), userIds: z32.array(z32.string()) });

// src/generated-definitions/ADtoForUpdateEqu8ConfigApiCall.ts
import { z as z33 } from "zod";
var ADtoForUpdateEqu8ConfigApiCall = z33.object({ apiKey: z33.string().nullish() });

// src/generated-definitions/AddCountryGroupRequest.ts
import { z as z34 } from "zod";
var AddCountryGroupRequest = z34.object({
  countries: z34.array(CountryObject).nullish(),
  countryGroupCode: z34.string().nullish(),
  countryGroupName: z34.string().nullish()
});

// src/generated-definitions/ConfigCreate.ts
import { z as z35 } from "zod";
var ConfigCreate = z35.object({ key: z35.string(), value: z35.string() });

// src/generated-definitions/ConfigUpdate.ts
import { z as z36 } from "zod";
var ConfigUpdate = z36.object({ value: z36.string() });

// src/generated-definitions/ErrorEntity.ts
import { z as z37 } from "zod";
var ErrorEntity = z37.object({
  devStackTrace: z37.string().nullish(),
  errorCode: z37.number().int(),
  errorMessage: z37.string(),
  messageVariables: z37.record(z37.string()).nullish()
});

// src/generated-definitions/FieldValidationError.ts
import { z as z38 } from "zod";
var FieldValidationError = z38.object({
  errorCode: z38.string().nullish(),
  errorField: z38.string().nullish(),
  errorMessage: z38.string().nullish(),
  errorValue: z38.string().nullish(),
  messageVariables: z38.record(z38.string()).nullish()
});

// src/generated-definitions/NamespaceCreate.ts
import { z as z39 } from "zod";
var NamespaceCreate = z39.object({ displayName: z39.string(), namespace: z39.string() });

// src/generated-definitions/NamespaceStatusUpdate.ts
import { z as z40 } from "zod";
var NamespaceStatusUpdate = z40.object({ status: z40.enum(["ACTIVE", "INACTIVE"]) });

// src/generated-definitions/NamespaceUpdate.ts
import { z as z41 } from "zod";
var NamespaceUpdate = z41.object({ displayName: z41.string() });

// src/generated-definitions/UpdateCountryGroupRequest.ts
import { z as z42 } from "zod";
var UpdateCountryGroupRequest = z42.object({ countries: z42.array(CountryObject).nullish(), countryGroupName: z42.string().nullish() });

// src/generated-definitions/UserBanRequest.ts
import { z as z43 } from "zod";
var UserBanRequest = z43.object({ actionId: z43.number().int(), comment: z43.string().nullish(), userIds: z43.array(z43.string()) });

// src/generated-definitions/UserProfileAdmin.ts
import { z as z44 } from "zod";
var UserProfileAdmin = z44.object({
  avatarLargeUrl: z44.string().nullish(),
  avatarSmallUrl: z44.string().nullish(),
  avatarUrl: z44.string().nullish(),
  customAttributes: z44.record(z44.any()).nullish(),
  dateOfBirth: z44.string().nullish(),
  firstName: z44.string().nullish(),
  language: z44.string().nullish(),
  lastName: z44.string().nullish(),
  privateCustomAttributes: z44.record(z44.any()).nullish(),
  status: z44.enum(["ACTIVE", "INACTIVE"]).nullish(),
  timeZone: z44.string().nullish(),
  zipCode: z44.string().nullish()
});

// src/generated-definitions/UserProfileBulkRequest.ts
import { z as z45 } from "zod";
var UserProfileBulkRequest = z45.object({ userIds: z45.array(z45.string()).nullish() });

// src/generated-definitions/UserProfileCreate.ts
import { z as z46 } from "zod";
var UserProfileCreate = z46.object({
  avatarLargeUrl: z46.string().nullish(),
  avatarSmallUrl: z46.string().nullish(),
  avatarUrl: z46.string().nullish(),
  customAttributes: z46.record(z46.any()).nullish(),
  dateOfBirth: z46.string().nullish(),
  firstName: z46.string().nullish(),
  language: z46.string().nullish(),
  lastName: z46.string().nullish(),
  timeZone: z46.string().nullish()
});

// src/generated-definitions/UserProfilePrivateCreate.ts
import { z as z47 } from "zod";
var UserProfilePrivateCreate = z47.object({
  avatarLargeUrl: z47.string().nullish(),
  avatarSmallUrl: z47.string().nullish(),
  avatarUrl: z47.string().nullish(),
  customAttributes: z47.record(z47.any()).nullish(),
  dateOfBirth: z47.string().nullish(),
  firstName: z47.string().nullish(),
  language: z47.string().nullish(),
  lastName: z47.string().nullish(),
  privateCustomAttributes: z47.record(z47.any()).nullish(),
  timeZone: z47.string().nullish()
});

// src/generated-definitions/UserProfileStatusUpdate.ts
import { z as z48 } from "zod";
var UserProfileStatusUpdate = z48.object({ status: z48.enum(["ACTIVE", "INACTIVE"]) });

// src/generated-definitions/UserProfileUpdate.ts
import { z as z49 } from "zod";
var UserProfileUpdate = z49.object({
  avatarLargeUrl: z49.string().nullish(),
  avatarSmallUrl: z49.string().nullish(),
  avatarUrl: z49.string().nullish(),
  customAttributes: z49.record(z49.any()).nullish(),
  dateOfBirth: z49.string().nullish(),
  firstName: z49.string().nullish(),
  language: z49.string().nullish(),
  lastName: z49.string().nullish(),
  privateCustomAttributes: z49.record(z49.any()).nullish(),
  timeZone: z49.string().nullish(),
  zipCode: z49.string().nullish()
});

// src/generated-definitions/UserReportRequest.ts
import { z as z50 } from "zod";
var UserReportRequest = z50.object({
  category: z50.string(),
  description: z50.string().nullish(),
  gameSessionId: z50.string().nullish(),
  subcategory: z50.string().nullish(),
  userId: z50.string()
});

// src/generated-definitions/UserZipCodeUpdate.ts
import { z as z51 } from "zod";
var UserZipCodeUpdate = z51.object({ zipCode: z51.string() });

// src/generated-definitions/ValidationErrorEntity.ts
import { z as z52 } from "zod";
var ValidationErrorEntity = z52.object({
  errorCode: z52.number().int(),
  errorMessage: z52.string(),
  errors: z52.array(FieldValidationError).nullish()
});
export {
  ADtoForUnbanUserApiCall,
  ADtoForUpdateEqu8ConfigApiCall,
  ADtoObjectForEqu8UserBanStatus,
  ADtoObjectForEqu8UserBanStatusArray,
  ADtoObjectForEqu8UserStatus,
  Action,
  ActionArray,
  AddCountryGroupRequest,
  AddCountryGroupResponse,
  AnonymizationAdmin$,
  AnonymizationAdminApi,
  Basic,
  ConfigAdmin$,
  ConfigAdminApi,
  ConfigCreate,
  ConfigInfo,
  ConfigUpdate,
  CountryGroupObject,
  CountryObject,
  Equ8Config,
  Equ8ConfigAdmin$,
  Equ8ConfigAdminApi,
  ErrorEntity,
  FieldValidationError,
  FileUpload$,
  FileUploadAdmin$,
  FileUploadAdminApi,
  FileUploadApi,
  FileUploadUrlInfo,
  Misc$,
  MiscAdmin$,
  MiscAdminApi,
  MiscApi,
  Namespace$,
  NamespaceAdmin$,
  NamespaceAdminApi,
  NamespaceApi,
  NamespaceCreate,
  NamespaceInfo,
  NamespaceInfoArray,
  NamespacePublisherInfo,
  NamespaceStatusUpdate,
  NamespaceUpdate,
  RetrieveCountryGroupResponse,
  RetrieveCountryGroupResponseArray,
  RetrieveTimeResponse,
  UpdateCountryGroupRequest,
  UserAction$,
  UserActionAdmin$,
  UserActionAdminApi,
  UserActionApi,
  UserBanRequest,
  UserProfile$,
  UserProfileAdmin,
  UserProfileAdmin$,
  UserProfileAdminApi,
  UserProfileApi,
  UserProfileBulkRequest,
  UserProfileCreate,
  UserProfileInfo,
  UserProfilePrivateCreate,
  UserProfilePrivateInfo,
  UserProfilePublicInfo,
  UserProfilePublicInfoArray,
  UserProfileStatusUpdate,
  UserProfileUpdate,
  UserReportRequest,
  UserZipCode,
  UserZipCodeUpdate,
  ValidationErrorEntity
};
